clang-tools 8.0.0

Namespaces | Enumerations | Functions
DurationRewriter.h File Reference
`#include "clang/ASTMatchers/ASTMatchFinder.h"`
`#include "clang/ASTMatchers/ASTMatchers.h"`
`#include <cinttypes>`
Include dependency graph for DurationRewriter.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::tidy
| clang::tidy::abseil

## Enumerations
enum | clang::tidy::abseil::DurationScale : std::uint8_t { clang::tidy::abseil::DurationScale::Hours = 0, clang::tidy::abseil::DurationScale::Minutes, clang::tidy::abseil::DurationScale::Seconds, clang::tidy::abseil::DurationScale::Milliseconds, clang::tidy::abseil::DurationScale::Microseconds, clang::tidy::abseil::DurationScale::Nanoseconds }
| Duration factory and conversion scales. More...

## Functions
llvm::StringRef | clang::tidy::abseil::getFactoryForScale (DurationScale Scale)
| Returns the factory function name for a given `Scale`. More...
bool | clang::tidy::abseil::IsLiteralZero (const ast_matchers::MatchFinder::MatchResult &Result, const Expr &Node)
llvm::Optional< std::string > | clang::tidy::abseil::stripFloatCast (const ast_matchers::MatchFinder::MatchResult &Result, const Expr &Node)
| Possibly strip a floating point cast expression. More...
llvm::Optional< std::string > | clang::tidy::abseil::stripFloatLiteralFraction (const ast_matchers::MatchFinder::MatchResult &Result, const Expr &Node)
| Possibly remove the fractional part of a floating point literal. More...
std::string | clang::tidy::abseil::simplifyDurationFactoryArg (const ast_matchers::MatchFinder::MatchResult &Result, const Expr &Node)
| Possibly further simplify a duration factory function's argument, without changing the scale of the factory function. More...
llvm::Optional< DurationScale > | clang::tidy::abseil::getScaleForInverse (llvm::StringRef Name)
| Given the name of an inverse Duration function (e.g., `ToDoubleSeconds`), return its `DurationScale`, or `None` if a match is not found. More...
const std::pair< llvm::StringRef, llvm::StringRef > & | clang::tidy::abseil::getInverseForScale (DurationScale Scale)
| Given a `Scale` return the fully qualified inverse functions for it. More...
std::string | clang::tidy::abseil::rewriteExprFromNumberToDuration (const ast_matchers::MatchFinder::MatchResult &Result, DurationScale Scale, const Expr *Node)
| Assuming `Node` has type `double` or `int` representing a time interval of `Scale`, return the expression to make it a suitable `Duration`. More...
| clang::tidy::abseil::AST_MATCHER_FUNCTION (ast_matchers::internal::Matcher< FunctionDecl >, DurationConversionFunction)
| clang::tidy::abseil::AST_MATCHER_FUNCTION (ast_matchers::internal::Matcher< FunctionDecl >, DurationFactoryFunction)